Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

projecttypelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: projecttypelist.php 6927 2001-09-04 12:06:17Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezcontact/classes/ezprojecttype.php" );
28 // include_once( "ezuser/classes/ezusergroup.php" );
29 // include_once( "ezuser/classes/ezpermission.php" );
30
31 $user =& eZUser::currentUser();
32 if ( !is_a( $user, "eZUser" ) )
33 {
34 // include_once( "classes/ezhttptool.php" );
35 eZHTTPTool::header( "Location: /contact/nopermission/login" );
36 exit();
37 }
38
39 if ( !eZPermission::checkPermission( $user, "eZContact", "TypeAdmin" ) )
40 {
41 // include_once( "classes/ezhttptool.php" );
42 eZHTTPTool::header( "Location: /contact/nopermission/type/admin" );
43 exit();
44 }
45
46 $language_file = "projecttype.php";
47 $page_path = "/contact/projecttype";
48 $item_type_array = eZProjectType::findTypes();
49 $move_item = true;
50 $SortPage = "/contact/projecttype/edit";
51
52 include( "kernel/ezcontact/admin/typelist.php" );
53
54 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZProjectType\findTypes
static & findTypes( $as_object=true)
Definition: ezprojecttype.php:262
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
exit
exit
Definition: folder.php:81
$user
$user
Definition: projecttypelist.php:31
$item_type_array
$item_type_array
Definition: projecttypelist.php:48
$page_path
$page_path
Definition: projecttypelist.php:47
$move_item
$move_item
Definition: projecttypelist.php:49
$language_file
if(!is_a( $user, "eZUser")) if(!eZPermission::checkPermission( $user, "eZContact", "TypeAdmin")) $language_file
Definition: projecttypelist.php:46
$SortPage
$SortPage
Definition: projecttypelist.php:50
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.